## vapoursynth-eedid3-dmo 4

=== meson_options.txt ===
option('opencl', type : 'boolean', value : true, description : 'Enable EEDI3CL filter')

=== debian/changelog ===
vapoursynth-eedid3-dmo (4-dmo3) unstable; urgency=medium

  * Build with boost 1.74

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Dec 2020 10:06:21 +0100

vapoursynth-eedid3-dmo (4-dmo2) unstable; urgency=medium

  * Build with boost 1.71

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jun 2020 14:47:50 +0200

vapoursynth-eedid3-dmo (4-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Mar 2019 16:13:32 +0100

=== debian/control ===
Source: vapoursynth-eedid3-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/HomeOfVapourSynthEvolution/VapourSynth-EEDI3
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), vapoursynth-dev, ocl-icd-opencl-dev,
 libboost-filesystem-dev, meson

Package: vapoursynth-eedid3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
Description: edge-directed interpolation filter for vapoursynth
 EEDI3 works by finding the best non-decreasing (non-crossing) warping
 between two lines by minimizing a cost functional. The cost is based on
 neighborhood similarity (favor connecting regions that look similar), the
 vertical difference created by the interpolated values (favor small
 differences), the interpolation directions (favor short connections vs
 long), and the change in interpolation direction from pixel to pixel (favor
 small changes).

=== debian/rules ===
#!/usr/bin/make -f

export_DEB_CXXFLAGS_APPEND = -fPIC
export_DEB_CFLAGS_APPEND = -fPIC

%:
	dh $@ -Smeson --without autoreconf

override_dh_installdocs:
	dh_installdocs README.md

=== debian/watch ===
version=4

https://github.com/HomeOfVapourSynthEvolution/VapourSynth-EEDI3/releases \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@

## vapoursynth-eedid3-dmo 7

=== debian/changelog ===
vapoursynth-eedid3-dmo (7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Sep 2025 23:47:42 +0200

vapoursynth-eedid3-dmo (6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Sep 2025 08:38:22 +0200

vapoursynth-eedid3-dmo (5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 15:47:16 +0200

vapoursynth-eedid3-dmo (4-dmo5) unstable; urgency=medium

  * Build with boost 1.83

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Dec 2023 09:07:50 +0100

vapoursynth-eedid3-dmo (4-dmo4) unstable; urgency=medium

  * Build with boost 1.81

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Oct 2023 08:18:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/HomeOfVapourSynthEvolution/VapourSynth-EEDI3
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), vapoursynth-dev, ocl-icd-opencl-dev,
- libboost-filesystem-dev, meson
+ libboost-filesystem-dev (>= 1.83~), meson,
 
 Package: vapoursynth-eedid3
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
+Architecture: amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth,
 Description: edge-directed interpolation filter for vapoursynth
  EEDI3 works by finding the best non-decreasing (non-crossing) warping
  between two lines by minimizing a cost functional. The cost is based on

=== debian/rules ===
#!/usr/bin/make -f

#export_DEB_CXXFLAGS_MAINT_APPEND = -fPIC
#export_DEB_CFLAGS_MAINT_APPEND = -fPIC

%:
	dh $@ -Smeson

override_dh_installdocs:
	dh_installdocs README.md

=== debian/watch ===
version=4

https://github.com/HomeOfVapourSynthEvolution/VapourSynth-EEDI3/tags \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@
